%define upstream_name    Proc-Guard
%define upstream_version 0.07

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Process runner with RAII pattern
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Proc/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires: perl(Class::Accessor::Lite)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Test::Requires)
BuildArch: noarch

%description
Proc::Guard runs process, and destroys it when the perl script exits.

This is useful for testing code working with server process.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor
./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc README.md Changes LICENSE META.yml META.json
%{_mandir}/man3/*
%perl_vendorlib/*



%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.70.0-4.mga8
+ Revision: 1506082
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.70.0-3.mga7
+ Revision: 1285872
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.70.0-2.mga7
+ Revision: 1166389
- rebuild with fixed rpm for missing autodeps

* Wed Sep 27 2017 guillomovitch <guillomovitch> 0.70.0-1.mga7
+ Revision: 1160195
- imported package perl-Proc-Guard


* Wed Sep 27 2017 cpan2dist 0.07-1mga
- initial mageia release, generated with cpan2dist
